NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder Class Reference

Represents a NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder used to check the material orientation for shell and solid elements. More...

Inheritance diagram for NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder:
NXOpen.Builder NXOpen.CAE.ModelCheck.ISelectionBuilder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  MaterialOrientationArrowheadType { ShowArrowHead, HideArrowHead }
 the arrowhead display type More...
 
enum  MaterialOrientationSolidElementDisplayType { SolidAllElements, SolidExteriorElements }
 the solid element display type More...
 
enum  MaterialOrientationType { Shell, SolidFirstDirection, SolidSecondDirection, SolidThirdDirection }
 the material orientation type More...
 

Public Member Functions

unsafe NXOpen.Vector3d[] DoCheck (out NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.MaterialOrientationType[] orientationType, out NXOpen.CAE.FEElement[] elements)
 Calculates material orientation vector for input elements and returns the orientation vector result More...
 
unsafe
NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.MaterialOrientationArrowheadType 
GetArrowheadDisplayType ()
 Gets arrowhead display type More...
 
unsafe bool GetCheckOrientation (NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.MaterialOrientationType orientationType)
 Gets option value which indicates whether to check for the specified material orientation type More...
 
unsafe NXOpen.NXColor GetOrientationColor (NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.MaterialOrientationType orientationType)
 Gets display color of a specified material orientation type More...
 
unsafe
NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.MaterialOrientationSolidElementDisplayType 
GetSolidElementDisplayType ()
 Gets Solid Element Display Type More...
 
unsafe void SetArrowheadDisplayType (NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.MaterialOrientationArrowheadType displayType)
 Sets arrowhead display type More...
 
unsafe void SetCheckOrientation (NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.MaterialOrientationType orientationType, bool checkOrientation)
 Sets option value which indicates whether to check for the specified material orientation type More...
 
unsafe void SetOrientationColor (NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.MaterialOrientationType orientationType, NXOpen.NXColor color)
 Sets display color of a specified material orientation type More...
 
unsafe void SetSolidElementDisplayType (NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.MaterialOrientationSolidElementDisplayType displayType)
 Sets Solid Element Display Type More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.CAE.ModelCheck.CheckScope 
CheckScopeOption [get, set]
 Returns or sets the check scope setting More...
 
unsafe
NXOpen.SelectTaggedObjectList 
SelectionList [get]
 Returns the selected objects to be checked. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 
- Properties inherited from NXOpen.CAE.ModelCheck.ISelectionBuilder
NXOpen.CAE.ModelCheck.CheckScope CheckScopeOption [get, set]
 Returns or sets the check scope setting More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder used to check the material orientation for shell and solid elements.

Use Builder.Commit to calculate material orientation and to display an orientation vector for each input element. Use NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.DoCheck to calculate the material orientation for each input element and return the orientation vector result. If an element fails when calculating it's material orientation, the element will be displayed in red and outputed to listing information window.

To create a new instance of this class, use NXOpen.CAE.ModelCheckManager.CreateElementMaterialOrientationCheckBuilder

Created in NX8.5.0

Member Enumeration Documentation

the arrowhead display type

Enumerator
ShowArrowHead 

the arrowheads are shown

HideArrowHead 

the arrowheads are hidden

the solid element display type

Enumerator
SolidAllElements 

all solid elements

SolidExteriorElements 

exterior solid elements

the material orientation type

Enumerator
Shell 

the material orientation of shell element

SolidFirstDirection 

the first direction of solid element material orientation

SolidSecondDirection 

the second direction of solid element material orientation

SolidThirdDirection 

the third direction of solid element material orientation

Member Function Documentation

unsafe NXOpen.Vector3d [] NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.DoCheck ( out NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.MaterialOrientationType[]  orientationType,
out NXOpen.CAE.FEElement[]  elements 
)
inline

Calculates material orientation vector for input elements and returns the orientation vector result

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
orientationType
elementsthe elements associated with the orientation vectors
Returns
material orientation vector
unsafe NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.MaterialOrientationArrowheadType NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.GetArrowheadDisplayType ( )
inline

Gets arrowhead display type

Created in NX1872.0.0

License requirements: None.

Returns
unsafe bool NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.GetCheckOrientation ( NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.MaterialOrientationType  orientationType)
inline

Gets option value which indicates whether to check for the specified material orientation type

Created in NX8.5.0

License requirements: None.

Parameters
orientationType
Returns
unsafe NXOpen.NXColor NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.GetOrientationColor ( NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.MaterialOrientationType  orientationType)
inline

Gets display color of a specified material orientation type

Created in NX8.5.0

License requirements: None.

Parameters
orientationType
Returns
unsafe NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.MaterialOrientationSolidElementDisplayType NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.GetSolidElementDisplayType ( )
inline

Gets Solid Element Display Type

Created in NX1872.0.0

License requirements: None.

Returns
unsafe void NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.SetArrowheadDisplayType ( NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.MaterialOrientationArrowheadType  displayType)
inline

Sets arrowhead display type

Created in NX1872.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
displayType
unsafe void NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.SetCheckOrientation ( NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.MaterialOrientationType  orientationType,
bool  checkOrientation 
)
inline

Sets option value which indicates whether to check for the specified material orientation type

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
orientationType
checkOrientation
unsafe void NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.SetOrientationColor ( NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.MaterialOrientationType  orientationType,
NXOpen.NXColor  color 
)
inline

Sets display color of a specified material orientation type

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
orientationType
color
unsafe void NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.SetSolidElementDisplayType ( NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.MaterialOrientationSolidElementDisplayType  displayType)
inline

Sets Solid Element Display Type

Created in NX1872.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
displayType

Property Documentation

unsafe NXOpen.CAE.ModelCheck.CheckScope NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.CheckScopeOption
getset

Returns or sets the check scope setting

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.SelectTaggedObjectList NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.SelectionList
get

Returns the selected objects to be checked.

The objects must be NXOpen.CAE.Mesh or NXOpen.CAE.FEElement

Created in NX8.5.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.